      implicit none
      double precision temp,gap,g3d,g5d,g7d,dcpcn,glambd
      double precision p,vol
      integer iwcpb
      write(6,*)' pressure (bar)?, temperature (Tc)?'
      read(5,*)p,temp
      iwcpb=1
      vol=0.000001*(36.837231+p*(-1.1803474+p*(0.083421417+
     x p*(-0.0038859562+p*(0.00009475978-p*0.00000091253577)))))
      dcpcn=0.0000419/vol+0.322
      call yosida(temp,gap,g3d,g5d,g7d,glambd,dcpcn,iwcpb)
      write(6,*)'temp,gap,g3d,g5d,g7d,glambd,dcpcn'
      write(6,1)temp,gap,g3d,g5d,g7d,glambd,dcpcn
1     format(7f10.6)
      end

